Bug 33152 - logger собран без поддержки systemd, хотя в man поддержка есть.
Summary: logger собран без поддержки systemd, хотя в man поддержка есть.
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: util-linux (show other bugs)
Version: unstable
Hardware: all Linux
: P3 minor
Assignee: Alexey Gladkov
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-21 13:08 MSK by nbr
Modified: 2017-04-03 00:39 MSK (History)
6 users (show)

See Also:


Attachments
systemd support; off by default (4.40 KB, patch)
2017-02-22 22:25 MSK, Vladimir D. Seleznev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nbr 2017-02-21 13:08:54 MSK
man logger
-------------------------------
 --journald[=file]
              Write a systemd journal entry.  The entry is read from the given file, when specified, otherwise from standard input.
              Each  line  must begin with a field that is accepted by journald; see systemd.journal-fields(7) for details.  The use
              of a MESSAGE_ID field is generally a good idea, as it makes finding entries easy.  Examples:

                  logger --journald <<end
                  MESSAGE_ID=67feb6ffbaf24c5cbec13c008dd72309
                  MESSAGE=The dogs bark, but the caravan goes on.
                  DOGS=bark
                  CARAVAN=goes on
                  end

                  logger --journald=entry.txt

              Notice that --journald will ignore values of other options, such as priority.  If  priority  is  needed  it  must  be
              within input, and use PRIORITY field.  The simple execution of journalctl will display MESSAGE field.  Use journalctl
              --output json-pretty to see rest of -the fields.
---------------------------

logger --journald
logger: unrecognized option '--journald'
Comment 1 nbr 2017-02-21 13:09:30 MSK
util-linux
Version     : 2.29.0
Release     : alt1
Comment 2 Alexey Gladkov 2017-02-21 13:42:56 MSK
Какой плохой man. Уберу :)
Comment 3 nbr 2017-02-21 14:51:48 MSK
Такое решение вполне устраивает - не прибивать же systemd сюда по зависимостям...
Comment 4 Evgenii Terechkov 2017-02-22 12:03:40 MSK
Может быть попросить апстрим сделать поддержку без жесткой зависимости, если это возможно?
Comment 5 Vladimir D. Seleznev 2017-02-22 21:59:11 MSK
(В ответ на комментарий №3)
> Такое решение вполне устраивает - не прибивать же systemd сюда по
> зависимостям...

Так если его собрать с поддержкой systemd, то logger будет слинкован с libsystemd.so и будет зависимость на библиотеку, а не на весь systemd.
Comment 6 Vladimir D. Seleznev 2017-02-22 22:25:50 MSK
Created attachment 6988 [details]
systemd support; off by default

Если решение в этом патче подходит, то приложите его.
Comment 7 Andrey Cherepanov 2017-02-27 11:01:57 MSK
(В ответ на комментарий №5)
> (В ответ на комментарий №3)
> > Такое решение вполне устраивает - не прибивать же systemd сюда по
> > зависимостям...
> 
> Так если его собрать с поддержкой systemd, то logger будет слинкован с
> libsystemd.so и будет зависимость на библиотеку, а не на весь systemd.
См. таск 178456
Comment 8 Alexey Gladkov 2017-02-27 18:24:02 MSK
> Severity: normal => blocker

Ошибка в документации это никак не блокер. Прекратите повышать severity.

Патч выглядит хорошо и я его приложу, когда буду собирать v2.29.2 .
Comment 9 Dmitry V. Levin 2017-02-27 18:26:13 MSK
Старый добрый syslog(3) работает, зачем нужна поддержка systemd?
Comment 10 nbr 2017-02-27 18:31:05 MSK
Большое спасибо за обсуждение; в качестве выяснена неверная конфигурация пакетной базы образов  (излишний пакет syslogd). При этом вход journalctl был "забит" syslog-ом, а он не производил протоколирование надлежащим образом.
Сейчас, конечно, это minor.
Comment 11 Repository Robot 2017-04-03 00:39:40 MSK
util-linux-2.29.2-alt1 -> sisyphus:

* Sun Apr 02 2017 Alexey Gladkov <legion@altlinux> 2.29.2-alt1
- New version (2.29.2).
- Fix `blkid -v` exit code (ALT#29544).
- Add fstrim service/timer (ALT#32687).
- Cleanup logger man-page (ALT#33152).